import {request} from "../utils/request.js";

/**
 * 查询产线列表
 * @returns {*}
 */
export function queryAeProlineInfoList() {
    return request({
        url: '/ae-api/aeprolineinfo/getProLineList',
        method: 'get',
    })
}

/**
 * 查询产线工序信息
 * @returns {*}
 */
export function queryAeProlineGxInfoList(id) {
    return request({
        url: '/ae-api/mock/proline/gx/info/' + id,
        method: 'get',
    })
}
/**
 * 查询工序设备信息
 * @returns {*}
 */
export function queryAeProlineGxEquipmentList(id) {
    return request({
        url: '/ae-api/mock/proline/gx/equipment/' + id,
        method: 'get',
    })
}

/**
 * 查询工序设备信息
 * @returns {*}
 */
export function queryJobNumberIsOnline(query) {
    return request({
        url: '/ae-api/mock/jobNumber/online',
        method: 'get',
        params: query
    })
}
/**
 * 查询工件信息
 * @returns {*}
 */
export function queryJobNumberInfo(query) {
    return request({
        url: '/ae-api/mock/jobNumber/info',
        method: 'get',
        params: query
    })
}


/**
 * 查询工序设备信息
 * @returns {*}
 */
export function unbindEquipment(query) {
    return request({
        url: '/ae-api/mock/proline/gx/unbind/equipment',
        method: 'get',
        params: query
    })
}



