import axios from "axios";
import {Message} from '@arco-design/web-vue';

export const request = axios.create({
	baseURL: "/",
	timeout: 3000 * 10,//接口最大等待时间
});

// 响应拦截器
request.interceptors.response.use((response) => {
	if (response.status !== 200) {
		Message.error({content: "服务器响应失败，请稍后重试"});
		return Promise.reject();
	}
	if (response.data.code !== 200) {
		Message.error(response.data.message || "请求失败");
		return Promise.reject();
	}
	return response.data;
});
